Subject: Re: bug#28034: elixir build fails

From: nee <[email-masked]>
Date: Sat, 2 Dec 2017 19:04:09 +0100

Hello, what is the current state for the elixir package?

I saw this issue on elixir's github page:
https://github.com/elixir-lang/elixir/issues/6586
Has there been any progress since then? From what I understand the build
fails because of impure test cases. Can we just disable these tests for
now to make it build again?

I wanted to see if I can install and package the phoenix web-server
framework and the pleroma federated social network, since both are
becoming pretty popular recently due to their low resource requirements.

I also think it's not good to have a broken package on master for so long.
The hydra web interface shows that version 1.4.2 used to build in the
past
https://hydra.gnu.org/job/gnu/master/elixir-1.4.2.x86_64-linux/all?page=2
and I only see one commit for this version in the past, so what did
change there?